## ros-iron-rclcpp-action 21.0.3

=== debian/changelog ===
ros-iron-rclcpp-action (21.0.3-1jammy) jammy; urgency=high



 -- Ivan Paunovic <ivanpauno@ekumenlabs.com>  Thu, 07 Sep 2023 16:00:00 -0000

ros-iron-rclcpp-action (21.0.2-1jammy) jammy; urgency=high



 -- Ivan Paunovic <ivanpauno@ekumenlabs.com>  Thu, 13 Jul 2023 16:00:00 -0000

ros-iron-rclcpp-action (21.0.1-1jammy) jammy; urgency=high



 -- Ivan Paunovic <ivanpauno@ekumenlabs.com>  Wed, 10 May 2023 16:00:00 -0000

ros-iron-rclcpp-action (21.0.0-1jammy) jammy; urgency=high



 -- Ivan Paunovic <ivanpauno@ekumenlabs.com>  Mon, 17 Apr 2023 16:00:00 -0000

ros-iron-rclcpp-action (20.0.0-1jammy) jammy; urgency=high

  * extract the result response before the callback is issued. (#2132 <https://github.com/ros2/rclcpp/issues/2132>)
  * Update all rclcpp packages to C++17. (#2121 <https://github.com/ros2/rclcpp/issues/2121>)
  * Fix the GoalUUID to_string representation (#1999 <https://github.com/ros2/rclcpp/issues/1999>)
  * Contributors: Chris Lalancette, Nathan Wiebe Neufeldt, Tomoya Fujita

 -- Ivan Paunovic <ivanpauno@ekumenlabs.com>  Wed, 12 Apr 2023 16:00:00 -0000

ros-iron-rclcpp-action (19.3.0-1jammy) jammy; urgency=high



 -- Ivan Paunovic <ivanpauno@ekumenlabs.com>  Tue, 28 Feb 2023 16:00:00 -0000

ros-iron-rclcpp-action (19.2.0-1jammy) jammy; urgency=high



 -- Ivan Paunovic <ivanpauno@ekumenlabs.com>  Thu, 23 Feb 2023 16:00:00 -0000

ros-iron-rclcpp-action (19.1.0-1jammy) jammy; urgency=high



 -- Ivan Paunovic <ivanpauno@ekumenlabs.com>  Mon, 13 Feb 2023 16:00:00 -0000

ros-iron-rclcpp-action (19.0.0-1jammy) jammy; urgency=high



 -- Ivan Paunovic <ivanpauno@ekumenlabs.com>  Sun, 29 Jan 2023 16:00:00 -0000

ros-iron-rclcpp-action (18.0.0-1jammy) jammy; urgency=high

  * Explicitly set callback type (#2059 <https://github.com/ros2/rclcpp/issues/2059>)
  * Update maintainers (#2043 <https://github.com/ros2/rclcpp/issues/2043>)
  * Contributors: Audrow Nash, mauropasse

 -- Ivan Paunovic <ivanpauno@ekumenlabs.com>  Wed, 28 Dec 2022 16:00:00 -0000

ros-iron-rclcpp-action (17.1.0-1jammy) jammy; urgency=high

  * Do not clear entities callbacks on destruction (#2002 <https://github.com/ros2/rclcpp/issues/2002>)
  * Contributors: mauropasse

 -- Ivan Paunovic <ivanpauno@ekumenlabs.com>  Tue, 01 Nov 2022 16:00:00 -0000

ros-iron-rclcpp-action (17.0.0-1jammy) jammy; urgency=high

  * Revert "Introduce executors new spin_for method, replace spin_until_future_complete with spin_until_complete. (#1821 <https://github.com/ros2/rclcpp/issues/1821>) (#1874 <https://github.com/ros2/rclcpp/issues/1874>)" (#1956 <https://github.com/ros2/rclcpp/issues/1956>)
  * Introduce executors new spin_for method, replace spin_until_future_complete with spin_until_complete. (#1821 <https://github.com/ros2/rclcpp/issues/1821>) (#1874 <https://github.com/ros2/rclcpp/issues/1874>)
  * Contributors: Hubert Liberacki, William Woodall

 -- Ivan Paunovic <ivanpauno@ekumenlabs.com>  Mon, 12 Sep 2022 16:00:00 -0000

ros-iron-rclcpp-action (16.2.0-1jammy) jammy; urgency=high



 -- Ivan Paunovic <ivanpauno@ekumenlabs.com>  Mon, 02 May 2022 16:00:00 -0000

ros-iron-rclcpp-action (16.1.0-1jammy) jammy; urgency=high



 -- Ivan Paunovic <ivanpauno@ekumenlabs.com>  Thu, 28 Apr 2022 16:00:00 -0000

ros-iron-rclcpp-action (16.0.1-1jammy) jammy; urgency=high



 -- Ivan Paunovic <ivanpauno@ekumenlabs.com>  Tue, 12 Apr 2022 16:00:00 -0000

ros-iron-rclcpp-action (16.0.0-1jammy) jammy; urgency=high

  * remove things that were deprecated during galactic (#1913 <https://github.com/ros2/rclcpp/issues/1913>)
  * Contributors: William Woodall

 -- Ivan Paunovic <ivanpauno@ekumenlabs.com>  Thu, 07 Apr 2022 16:00:00 -0000

ros-iron-rclcpp-action (15.4.0-1jammy) jammy; urgency=high

  * add take_data_by_entity_id API to waitable (#1892 <https://github.com/ros2/rclcpp/issues/1892>)
  * Contributors: Alberto Soragna

 -- Ivan Paunovic <ivanpauno@ekumenlabs.com>  Mon, 04 Apr 2022 16:00:00 -0000

ros-iron-rclcpp-action (15.3.0-1jammy) jammy; urgency=high



 -- Ivan Paunovic <ivanpauno@ekumenlabs.com>  Tue, 29 Mar 2022 16:00:00 -0000

ros-iron-rclcpp-action (15.2.0-1jammy) jammy; urgency=high

  * Fix rosdoc2 issues (#1897 <https://github.com/ros2/rclcpp/issues/1897>)
  * Contributors: Chris Lalancette

 -- Ivan Paunovic <ivanpauno@ekumenlabs.com>  Wed, 23 Mar 2022 16:00:00 -0000

ros-iron-rclcpp-action (15.1.0-1jammy) jammy; urgency=high

  * Add RMW listener APIs (#1579 <https://github.com/ros2/rclcpp/issues/1579>)
  * Install headers to include/${PROJECT_NAME} (#1888 <https://github.com/ros2/rclcpp/issues/1888>)
  * Contributors: Shane Loretz, iRobot ROS

 -- Ivan Paunovic <ivanpauno@ekumenlabs.com>  Mon, 28 Feb 2022 16:00:00 -0000

ros-iron-rclcpp-action (15.0.0-1jammy) jammy; urgency=high

  * Fix include order and relative paths for cpplint (#1859 <https://github.com/ros2/rclcpp/issues/1859>)
  * Contributors: Jacob Perron

 -- Ivan Paunovic <ivanpauno@ekumenlabs.com>  Thu, 13 Jan 2022 16:00:00 -0000

ros-iron-rclcpp-action (14.1.0-1jammy) jammy; urgency=high



 -- Ivan Paunovic <ivanpauno@ekumenlabs.com>  Tue, 04 Jan 2022 16:00:00 -0000

ros-iron-rclcpp-action (14.0.0-1jammy) jammy; urgency=high

  * Fixes for uncrustify 0.72 (#1844 <https://github.com/ros2/rclcpp/issues/1844>)
  * Use rclcpp::guard_condition (#1612 <https://github.com/ros2/rclcpp/issues/1612>)
  * Remove author by request (#1818 <https://github.com/ros2/rclcpp/issues/1818>)
  * Update maintainers (#1817 <https://github.com/ros2/rclcpp/issues/1817>)
  * Suppress clang dead-store warnings in the benchmarks. (#1802 <https://github.com/ros2/rclcpp/issues/1802>)
  * Contributors: Chris Lalancette, Jacob Perron, mauropasse

 -- Ivan Paunovic <ivanpauno@ekumenlabs.com>  Thu, 16 Dec 2021 16:00:00 -0000

ros-iron-rclcpp-action (13.1.0-1jammy) jammy; urgency=high

  * Deprecate the void shared_ptr<MessageT> subscription callback signatures (#1713 <https://github.com/ros2/rclcpp/issues/1713>)
  * Contributors: Abrar Rahman Protyasha, Tomoya Fujita


